"""
    DataGridField quick install script
            
    Copyright 2006 DataGridField authors
    
"""

__author__  = 'Mikko Ohtamaa <mikko@redinnovation.com>'
__docformat__ = 'restructuredtext'

# Python imports
import StringIO
from cStringIO import StringIO
import string

from Products.CMFCore.TypesTool import ContentFactoryMetadata
from Products.CMFCore.DirectoryView import addDirectoryViews
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.CMFCorePermissions import ManagePortal
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.Archetypes import listTypes

# Installer helpers
from Products.DataGridField.Extensions import utils

# Config
from Products.DataGridField.config import *

def install(self):
    out=StringIO()
    install_subskin(self, out, GLOBALS)

    classes = listTypes(PKG_NAME)
    if INSTALL_DEMO_TYPES:
        installTypes(self, out, classes, PKG_NAME)

    # XXX
    # Register CSS definitions used by DataGridWidget
    #
    # The current RR 1.3.1 cannot handle condititioning CSS based on
    # widgets. This will be a future feature. Then we get CSS/JS packing
    # for widgets. -Mikko
    
    #utils.registerResources(self, out, "portal_css", STYLESHEETS)
    #utils.registerResources(self, out, "portal_javascripts", JAVASCRIPTS)
                 
    out.write('Installation completed.\n')
    return out.getvalue()

def uninstall(self):
    out=StringIO()
    #utils.resetResources(self, out, "portal_css", STYLESHEETS)
    #utils.resetResources(self, out, "portal_javascripts", JAVASCRIPTS)
    return out.getvalue()

